import request from '@/config/axios'

export interface RawCoalStockVO {

}

export interface RawCoalStockPageReqVO extends PageParam {

}

// 查询RawCoalStock列表
export const getRawCoalStockPage = (params: RawCoalStockPageReqVO) => {
  return request.get({ url: '/xmcpms/warehouse/item/page', params })
}

// 查询RawCoalStock列表
export const getPointList = (params: RawCoalStockPageReqVO) => {
  return request.get({ url: '/xmcpms/warehouse/item/list', params })
}

// 查询RawCoalStock详情
export const getRawCoalStock = (id: number) => {
  return request.get({ url: `/xmcpms/prod/warehouse/item/info/${id}`})
}

// 新增RawCoalStock
export const createRawCoalStock = (data: RawCoalStockVO) => {
  return request.post({ url: '/xmcpms/warehouse/item/create', data })
}

// 修改RawCoalStock
export const updateRawCoalStock = (data: RawCoalStockVO) => {
  return request.put({ url: '/xmcpms/warehouse/item/update', data })
}

// 删除RawCoalStock
export const deleteRawCoalStock = (id: number) => {
  return request.delete({ url: '/xmcpms/warehouse/item/delete?id=' + id })
}

//导出RawCoalStockList
export const exportRawCoalStock = (params) => {
  return request.download({ url: '/xmcpms/warehouse/item/export', params })
}

// 下载用户导入模板
export const importPointTemplate = () => {
  return request.download({ url: '/xmcpms/warehouse/item/get-import-template' })
}
